using Electric.EntityFrameworkCore.DependencyInjection;

using System.Reflection;

var builder = WebApplication.CreateBuilder(args);

//EntityFrameworkCoreע
var provider = builder.Configuration.GetValue<string>("DataProvider");
var connection = string.Empty;

//õݿ
switch (provider)
{
    case "MsSql":
        connection = builder.Configuration.GetConnectionString("MsSqlConnection") ?? throw new InvalidOperationException("MsSqlConnectionappsettings.jsonδ");
        break;

    case "MySql":
        connection = builder.Configuration.GetConnectionString("MySqlConnection") ?? throw new InvalidOperationException("MySqlConnectionappsettings.jsonδ");
        break;
}

//ݿ
var dbType = provider == "MySql" ? DbType.MySql : DbType.SqlServer;

//, Assembly.GetExecutingAssembly().FullName
builder.Services.AddEntityFrameworkCore(dbType, connection, Assembly.GetExecutingAssembly().FullName);

var app = builder.Build();
app.Run();